Bug 102724 - Eclipse can't parse non-english tools messages
Eclipse can't parse non-english tools messages
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: eclipse (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-20 07:03 EDT by Anthony Green
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:35:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2003-08-20 07:03:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Eclipse contains a number of classes for parsing the output from various tools
(GCC, make, gas, ld, etc).  Unfortunately, they are hardcoded to only look for
english output from these tools.  This means, for instance, that gcc error
parsing doesn't work when you log in using french or japanese.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Log in using French (or some non-English language)
2.Compile a C program that uses an undeclared variable
3.See how you get 3 lines instead of 1 in the task list.
    

Additional info:
Comment 1 Anthony Green 2003-08-20 07:05:02 EDT
A good place to start looking is here:

org.eclipse.cdt.core/src/org/eclipse/cdt/internal/errorparsers

Comment 2 Tom Tromey 2003-09-19 18:46:03 EDT
For the time being, I've set up the gcj-eclipse to force
LANG=C.  This also works around bugs reported on the public
compiled-eclipse list about locale-related failures.
BTW, these reports should be pushed to the upstream
eclipse.org bugzilla.
Comment 3 RHEL Product and Program Management 2007-10-19 15:35:21 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.